Subject: Re: bug#17659: 24.3.90; C-x 8 ? displays help instead of inserting INVERTED QUESTION MARK

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Jun 2014 23:33:11 -0400

>> The subject says it all: when I type C-x 8 ?, I expect emacs to insert
>> into the buffer Unicode 191, INVERTED QUESTION MARK.  However, instead
>> it displays a *Help* buffer whose first line reads
>> Key translations Starting With C-x 8:
> ? is bound in iso-transl-ctl-x-8-map but oddly the ? (help-char) takes
> precedence. Stefan, any idea where to look to fix it?

BTW, maybe it was obvious to someone, but it wasn't to me, so I'll
mention that this is a regression w.r.t 24.3 and it is caused by the
change documented in NEWS:

*** The key `?' now describes prefix bindings, like `C-h'.

        Stefan